/** @constant {string} */
WALLCOLOUR = "#111111";

/** @constant {number} */
WALLWIDTH = "4";

/**
 * Add 'Convert to walls' button in Walls Layer Tools
 * */

Hooks.on('getSceneControlButtons', controls => {
	let walls = controls.find(e => e.name === "walls");
	walls.tools.push( {
		"name": "convert-to-draw",
		"icon": "far fa-square",
		"title": "Convert selected to Drawing",
		"onClick": () => {
			canvas.walls.controlled.forEach(function(wall) {
				Drawing.create({
					type: CONST.DRAWING_TYPES.POLYGON,
					author: game.user._id,
					x: 0,
					y: 0,
					height: 100,
					strokeWidth: WALLWIDTH,
					strokeColor: WALLCOLOUR,
					points: [
						[wall.coords[0], wall.coords[1]],
						[wall.coords[2], wall.coords[3]]
					]
				});
			});
			ui.controls.controls.find(e => e.name === "walls").activeTool = "select";
			ui.controls.render();
		}
	});
});
